[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# multiply(Tmatrix4_extended,Tvector4_extended):Tvector4_extended

Give product of a four-dimensional extended precision matrix and vector

## Declaration

Source position: matrix.pp line 580

`operator operator *(`
`const m: Tmatrix4_extended;`
`const v: Tvector4_extended`
`):Tvector4_extended;`

## Description

This operator allows you to multiply a four-dimensional extended precision matrices with a four dimensional extended precision vector. A new vector is returned which is the product of the matrix and the vector. The product is calculated using the well known matrix-vector multiplication algorithm.